Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class WhileStmt

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.WhileStmt

    public class WhileStmt

extends Statement

Constructor Summary
`WhileStmt()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `loop_codegen(ClassFile classfile, CodeAttribute code, int breakpoint, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `set_Expr(Expr exp)`
`void` | `set_Loop_block(Statement blk)`
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.23 von Martin Pl�micke Achtung Workaround: RefType "Boolean" muss noch durch BaseType "BooleanType" ersetzt werden.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhileStmt

    public WhileStmt()

Method Detail

### set_Expr

    public void set_Expr(Expr exp)

### set_Loop_block

    public void set_Loop_block(Statement blk)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### loop_codegen

    public void loop_codegen(ClassFile classfile,
                             CodeAttribute code,
                             int breakpoint,
                             boolean not,
                             de.dhbwstuttgart.typeinference.Menge paralist)
                      throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Implementierung des Algorithmus 5.23 von Martin Pl�micke
  Achtung Workaround: RefType "Boolean" muss noch durch BaseType "BooleanType" ersetzt werden.
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD